#!/bin/bash
#SBATCH --job-name=DeviceQuery
#SBATCH --nodes=1
#SBATCH --partition=gpu
#SBATCH --gres=gpu:1
#SBATCH --time=10:00

nvidia-smi

# load the required modules
module load gcc/10.2.0 cuda/11.1.0

# change to the cuda sample directory
cd cuda-samples-v11.1/Samples/deviceQuery

# compile and run deviceQuery
make
./deviceQuery
